#!/bin/bash

## INPUT REQUIRED:
## --> QE input file
## --> sirius.json

export QE="/home/gsavva/q-e/build/bin/pw.x"
export sirius="/home/gsavva/spack/opt/spack/linux-ubuntu22.04-skylake/gcc-11.2.0/q-e-sirius-develop-ristretto-daa2py5jbbgt626ywj5yzzsci2nsjcyo/bin/pw.x"

spack load openmpi@4.1.3
export OMP_NUM_THREADS=4

mpirun -np 4 $QE < LiCoO2.scf.in > LiCoO2.scf.out_QE
rm -rf ./tmp/

mpirun -np 4 $sirius -sirius_scf -sirius_cfg sirius.json < LiCoO2.scf.in > LiCoO2.scf.out_SIRIUS
rm -rf ./tmp/

tot_e=$(grep "!    total energy              =" ./LiCoO2.scf.out_QE)
echo "QE        $tot_e" >> total_energy.dat

tot_e=$(grep "!    total energy              =" ./LiCoO2.scf.out_SIRIUS)
echo "QE-SIRIUS $tot_e" >> total_energy.dat
